library IEEE;
use IEEE.std_logic_1164.all;
entity GET is
	port(	CLK		:	in	std_logic;
			DATA_IN	:	in std_logic_vector(11 downto 6);
			GOT		:	out	std_logic_vector(11 downto 6);
			FLAG_SET:	out	std_logic
	);
end GET;
architecture RTL of GET is
begin
	process(CLK)
	begin	
		if(CLK'event and CLK='0') then
			if(DATA_IN(11 downto 6)="111100") then
				GOT <= DATA_IN;
				FLAG_SET <= '1';
			else
				FLAG_SET <= '0';
			end if;
		end if;
	end process;
end RTL;
