-- MAX+plus II VHDL Template
-- Clearable loadable enablable counter

LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY IRS_FLAT IS
	PORT
	(
		B_CLK					: IN	STD_LOGIC;
		B_RESET					: IN	STD_LOGIC;
		RESET_IN				: IN	STD_LOGIC;
		FLAT_OUT				: OUT	STD_LOGIC
	);
	
END IRS_FLAT;

ARCHITECTURE RTL OF IRS_FLAT IS

	SIGNAL	COUNT	: INTEGER RANGE 0 TO 16880;
	
BEGIN

	PROCESS (B_CLK,B_RESET)
	BEGIN
	
		IF B_RESET = '1' THEN		
			COUNT <= 16880;
			
		ELSIF (B_CLK'EVENT AND B_CLK = '1') THEN
			IF(RESET_IN='1')then
				COUNT<=0;
				FLAT_OUT <= '1';
			ELSIF(COUNT=16879)THEN
				FLAT_OUT <= '0';
				COUNT <= COUNT+1;
			ELSIF(COUNT<16879)THEN
				COUNT<=COUNT+1; 
			end if;
		end if;
	END PROCESS;
	
END RTL;

